const express = require('express');
const bodyParser = require('body-parser');
const { sendVerificationEmail } = require('./server');

const app = express();
const port = 7009;

app.use(bodyParser.json());

app.post('/send-verification-email', async (req, res) => {
  const { email,yy,yyy } = req.body;

  try {
    await sendVerificationEmail(email,yy,yyy);
    res.status(200).json({ message: 'Verification email  successfully' });
  } catch (error) {
    console.error('Error sending email:', error);
    res.status(500).json({ error: 'Failed to send verification email' });
  }
});

app.listen(port, () => {
  console.log(`Server is running on http://localhost:${port}`);
});